@use '../common/constants' as *;
@use '../common/mixins' as *;
@use './header';

$switch-bp: 'desktop';
$width: 240px;
$z-index: 3;

// Sidebar trigger btn styles are in `_header.scss`
.sidebar {
	background: map-get($pot-grey, 6);
	bottom: 0;
	color: #fff;
	font-weight: 500;
	left: 0;
	overflow-y: auto;
	padding: $buffer-m $buffer-s;
	position: fixed;
	top: header.$height;
	width: $width;
	z-index: $z-index;

	@include mq($until: $switch-bp) {
		padding: $buffer-l;
		text-align: center;
		transform: translateX(100%);
		visibility: hidden;
		width: 100%;

		&[sidebar-visible] {
			animation: slide-in $animation;
		}

		&:not([sidebar-visible]) {
			animation: slide-out $animation;
		}
	}

	&__list,
	&__sublist {
		list-style: none;
	}

	&__list {
		margin: 0 auto;
		max-width: 300px;
	}

	&__sublist {
		margin-top: $buffer-xs;
		padding-left: 4px;
	}

	// &__list-item,
	// &__list-subitem {
	// 	margin-bottom: 10px;
	// }

	&__list-item {
		font-size: 2.5rem;
		padding: $buffer-xs;

		@include mq($from: $switch-bp) {
			font-size: 2.25rem;
		}
	}

	&__list-subitem {
		font-size: 2rem;

		@include mq($from: $switch-bp) {
			font-size: 1.75rem;
			padding: 4px $buffer-xs;
		}
	}

	&__link {
		@include focus-outline($light: true);

		&:hover {
			color: map-get($pot-grey, 2);
		}
	}

	@keyframes slide-in {
		100% {
			transform: translateX(0%);
		}
	}

	@keyframes slide-out {
		0% {
			transform: translateX(0%);
		}

		100% {
			transform: translateX(100%);
		}
	}
}
